/adobe-sign-api | Type: Application | PCID required: Yes
Tools
| Tool | Description |
|---|---|
adobe-sign-api_add_template_fields_to_agreement | Adds template fields to an agreement |
adobe-sign-api_create_agreement | Creates an agreement. Sends it out for signatures, and returns the agreementID in the response to the client. |
adobe-sign-api_create_agreement_view | Retrieves the latest state view url of agreement. |
adobe-sign-api_create_delegated_participant_sets | Creates a participantSet to which the agreement is forwarded for taking appropriate action. |
adobe-sign-api_create_library_document | Creates a template that is placed in the library of the user for reuse. |
adobe-sign-api_create_library_document_view | Retrieves the latest state view url of a library document. |
adobe-sign-api_create_reminder_on_participant | Creates a reminder on the specified participants of an agreement identified by agreementId in the path. |
adobe-sign-api_create_share_on_agreement | Share an agreement with someone. |
adobe-sign-api_create_webhook | Creates a webhook. |
adobe-sign-api_delete_documents | Deletes all the documents of an agreement. |
adobe-sign-api_delete_webhook | Deletes a webhook. |
adobe-sign-api_get_agreement_info | Retrieves the current status of an agreement. |
adobe-sign-api_get_agreement_note_for_api_user | Retrieves the latest note associated with an agreement. |
adobe-sign-api_get_agreement_reminders | Retrieves the reminders of an agreement, identified by agreementId in the path. |
adobe-sign-api_get_agreements | Retrieves agreements for the user. |
adobe-sign-api_get_all_documents | Retrieves the IDs of the documents of an agreement identified by agreementId. |
adobe-sign-api_get_all_documents_image_urls | Retrieves image urls of all visible pages of all the documents associated with an agreement. |
adobe-sign-api_get_all_members | Retrieves information of members of the agreement. |
adobe-sign-api_get_audit_trail | Retrieves the audit trail of an agreement identified by agreementId. |
adobe-sign-api_get_combined_document_pages_info | Retrieves info of all pages of a combined PDF document for the documents associated with an agreement. |
adobe-sign-api_get_document | Retrieves the file stream of a document of an agreement. |
adobe-sign-api_get_document_image_urls | Retrieves image urls of all visible pages of a document associated with an agreement. |
adobe-sign-api_get_documents | Retrieves the IDs of the documents associated with library document. |
adobe-sign-api_get_events | Retrieves the events information for an agreement. |
adobe-sign-api_get_events_2 | Retrieves the events information for a library document. |
adobe-sign-api_get_form_data | Retrieves data entered into the interactive form fields of the agreement. |
adobe-sign-api_get_form_fields | Retrieves details of form fields of an agreement. |
adobe-sign-api_get_group_details | Retrieves detailed information about the group. |
adobe-sign-api_get_groups | Retrieves all the groups in an account. |
adobe-sign-api_get_groups_of_user | Retrieves the groups of the user. |
adobe-sign-api_get_library_document | Retrieves the file stream of a document of library document. |
adobe-sign-api_get_library_document_audit_trail | Retrieves the audit trail associated with a library document. |
adobe-sign-api_get_library_document_image_urls | Retrieves image urls of all visible pages of a document associated with a library document. |
adobe-sign-api_get_library_document_info | Retrieves the details of a library document. |
adobe-sign-api_get_library_document_note_for_api_user | Retrieves the latest note of a library document for the API user. |
adobe-sign-api_get_library_documents | Retrieves library documents for a user. |
adobe-sign-api_get_merge_info | Retrieves the merge info stored with an agreement. |
adobe-sign-api_get_participant_set | Retrieves the participant set of an agreement identified by agreementId in the path. |
adobe-sign-api_get_signing_url | Retrieves the URL for the e-sign page for the current signer(s) of an agreement. |
adobe-sign-api_get_user_detail | Retrieves detailed information about the user in the caller account. |
adobe-sign-api_get_user_views | Retrieves the URL of manage, account settings and user profile page. |
adobe-sign-api_get_users | Retrieves all the users in an account. |
adobe-sign-api_get_users_in_group | Retrieves all the users in a group. |
adobe-sign-api_get_webhook_info | Retrieves the details of a webhook. |
adobe-sign-api_get_webhooks | Retrieves webhooks for a user. |
adobe-sign-api_modify_user | Update an user. |
adobe-sign-api_modify_user_state | Activate/Deactivate a given user. |
adobe-sign-api_reject_agreement_for_participation | Rejects the agreement for a participant. |
adobe-sign-api_update_agreement | Updates the agreement in draft state. |
adobe-sign-api_update_agreement_merge_info | Set the merge info for an agreement. |
adobe-sign-api_update_agreement_state | Updates the state of an agreement identified by agreementId in the path. |
adobe-sign-api_update_agreement_visibility | Updates the visibility of an agreement. |
adobe-sign-api_update_form_fields | Updates form fields of an agreement. |
adobe-sign-api_update_groups_of_user | Updates the groups of the user. |
adobe-sign-api_update_library_document | Updates the library document. |
adobe-sign-api_update_library_document_state | Updates the library document’s state. |
adobe-sign-api_update_library_document_visibility | Updates the visibility of library document. |
adobe-sign-api_update_participant_set | Updates the participant set of an agreement identified by agreementId in the path. |
adobe-sign-api_update_webhook | Updates a webhook. |
adobe-sign-api_update_webhook_state | Updates the state of a webhook identified by webhookId in the path. |
adobe-sign-api_add_template_fields_to_agreement
Adds template fields to an agreement Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
agreementId | string | Yes | — | The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements. |
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"agreementId": {
"type": "string",
"description": "The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements."
},
"body": {
"type": "object",
"description": "Request body"
}
},
"required": [
"PCID",
"agreementId",
"body"
]
}
adobe-sign-api_create_agreement
Creates an agreement. Sends it out for signatures, and returns the agreementID in the response to the client. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"type": "object",
"description": "Request body"
}
},
"required": [
"PCID",
"body"
]
}
adobe-sign-api_create_agreement_view
Retrieves the latest state view url of agreement. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
agreementId | string | Yes | — | The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements. |
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"agreementId": {
"type": "string",
"description": "The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements."
},
"body": {
"type": "object",
"description": "Request body"
}
},
"required": [
"PCID",
"agreementId",
"body"
]
}
adobe-sign-api_create_delegated_participant_sets
Creates a participantSet to which the agreement is forwarded for taking appropriate action. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
agreementId | string | Yes | — | The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements. |
participantSetId | string | Yes | — | The participant set identifier |
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"agreementId": {
"type": "string",
"description": "The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements."
},
"participantSetId": {
"type": "string",
"description": "The participant set identifier"
},
"body": {
"type": "object",
"description": "Request body"
}
},
"required": [
"PCID",
"agreementId",
"participantSetId",
"body"
]
}
adobe-sign-api_create_library_document
Creates a template that is placed in the library of the user for reuse. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"type": "object",
"description": "Request body"
}
},
"required": [
"PCID",
"body"
]
}
adobe-sign-api_create_library_document_view
Retrieves the latest state view url of a library document. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
libraryDocumentId | string | Yes | — | The document identifier, as retrieved from the API to fetch library documents. |
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"libraryDocumentId": {
"type": "string",
"description": "The document identifier, as retrieved from the API to fetch library documents."
},
"body": {
"type": "object",
"description": "Request body"
}
},
"required": [
"PCID",
"libraryDocumentId",
"body"
]
}
adobe-sign-api_create_reminder_on_participant
Creates a reminder on the specified participants of an agreement identified by agreementId in the path. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
agreementId | string | Yes | — | The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements. |
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"agreementId": {
"type": "string",
"description": "The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements."
},
"body": {
"type": "object",
"description": "Request body"
}
},
"required": [
"PCID",
"agreementId",
"body"
]
}
adobe-sign-api_create_share_on_agreement
Share an agreement with someone. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
agreementId | string | Yes | — | The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements. |
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"agreementId": {
"type": "string",
"description": "The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements."
},
"body": {
"type": "object",
"description": "Request body"
}
},
"required": [
"PCID",
"agreementId",
"body"
]
}
adobe-sign-api_create_webhook
Creates a webhook. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"type": "object",
"description": "Request body"
}
},
"required": [
"PCID",
"body"
]
}
adobe-sign-api_delete_documents
Deletes all the documents of an agreement. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
agreementId | string | Yes | — | The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"agreementId": {
"type": "string",
"description": "The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements."
}
},
"required": [
"PCID",
"agreementId"
]
}
adobe-sign-api_delete_webhook
Deletes a webhook. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
webhookId | string | Yes | — | The webhook identifier, as returned by the webhook creation API or retrieved from the API to fetch webhooks. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"webhookId": {
"type": "string",
"description": "The webhook identifier, as returned by the webhook creation API or retrieved from the API to fetch webhooks."
}
},
"required": [
"PCID",
"webhookId"
]
}
adobe-sign-api_get_agreement_info
Retrieves the current status of an agreement. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
agreementId | string | Yes | — | The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"agreementId": {
"type": "string",
"description": "The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements."
}
},
"required": [
"PCID",
"agreementId"
]
}
adobe-sign-api_get_agreement_note_for_api_user
Retrieves the latest note associated with an agreement. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
agreementId | string | Yes | — | The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"agreementId": {
"type": "string",
"description": "The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements."
}
},
"required": [
"PCID",
"agreementId"
]
}
adobe-sign-api_get_agreement_reminders
Retrieves the reminders of an agreement, identified by agreementId in the path. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
agreementId | string | Yes | — | The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements. |
status | string | No | — | A comma-separated list of reminder statuses of the reminders which should be returned in the response. Currently supported values are ACTIVE, CANCELED, COMPLETE |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"agreementId": {
"type": "string",
"description": "The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements."
},
"status": {
"type": "string",
"description": "A comma-separated list of reminder statuses of the reminders which should be returned in the response. Currently supported values are ACTIVE, CANCELED, COMPLETE"
}
},
"required": [
"PCID",
"agreementId"
]
}
adobe-sign-api_get_agreements
Retrieves agreements for the user. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
externalId | string | No | — | Case-sensitive ExternalID for which you would like to retrieve agreement information. ExternalId is passed in the call to the agreement creation API |
showHiddenAgreements | boolean | No | — | A query parameter to fetch all the hidden agreements along with the visible agreements. |
cursor | string | No | — | Used to navigate through the pages. If not provided, returns the first page. |
pageSize | integer | No | — | Number of intended items in the response page. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"externalId": {
"type": "string",
"description": "Case-sensitive ExternalID for which you would like to retrieve agreement information. ExternalId is passed in the call to the agreement creation API"
},
"showHiddenAgreements": {
"type": "boolean",
"description": "A query parameter to fetch all the hidden agreements along with the visible agreements."
},
"cursor": {
"type": "string",
"description": "Used to navigate through the pages. If not provided, returns the first page."
},
"pageSize": {
"type": "integer",
"description": "Number of intended items in the response page."
}
},
"required": [
"PCID"
]
}
adobe-sign-api_get_all_documents
Retrieves the IDs of the documents of an agreement identified by agreementId. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
agreementId | string | Yes | — | The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements. |
versionId | string | No | — | The version identifier of agreement as provided by the API which retrieves information of a specific agreement. If not provided then latest version will be used. |
participantId | string | No | — | The participant identifier to be used to retrieve documents. |
supportingDocumentContentFormat | string | No | — | Content format of the supported documents. It can have two possible values ORIGINAL or CONVERTED_PDF. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"agreementId": {
"type": "string",
"description": "The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements."
},
"versionId": {
"type": "string",
"description": "The version identifier of agreement as provided by the API which retrieves information of a specific agreement. If not provided then latest version will be used."
},
"participantId": {
"type": "string",
"description": "The participant identifier to be used to retrieve documents."
},
"supportingDocumentContentFormat": {
"type": "string",
"description": "Content format of the supported documents. It can have two possible values ORIGINAL or CONVERTED_PDF."
}
},
"required": [
"PCID",
"agreementId"
]
}
adobe-sign-api_get_all_documents_image_urls
Retrieves image urls of all visible pages of all the documents associated with an agreement. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
agreementId | string | Yes | — | The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements. |
versionId | string | No | — | The version identifier of agreement as provided by the API which retrieves information of a specific agreement. If not provided then latest version will be used. |
participantId | string | No | — | The participant identifier to be used to retrieve documents. |
imageSizes | string | No | — | A comma separated list of image sizes i.e. {FIXED_WIDTH_50px, FIXED_WIDTH_250px, FIXED_WIDTH_675px, ZOOM_50_PERCENT, ZOOM_75_PERCENT, ZOOM_100_PERCENT, ZOOM_125_PERCENT, ZOOM_150_PERCENT, ZOOM_200_PERCENT}. Default sizes returned are {FIXED_WIDTH_50px, FIXED_WIDTH_250px, FIXED_WIDTH_675px, ZOOM_100_PERCENT}. |
includeSupportingDocumentsImageUrls | boolean | No | — | When set to true, returns image urls of supporting documents as well. Else, returns image urls of only the original documents. |
showImageAvailabilityOnly | boolean | No | — | When set to true, returns only image availability. Else, returns both image urls and its availability. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"agreementId": {
"type": "string",
"description": "The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements."
},
"versionId": {
"type": "string",
"description": "The version identifier of agreement as provided by the API which retrieves information of a specific agreement. If not provided then latest version will be used."
},
"participantId": {
"type": "string",
"description": "The participant identifier to be used to retrieve documents."
},
"imageSizes": {
"type": "string",
"description": "A comma separated list of image sizes i.e. {FIXED_WIDTH_50px, FIXED_WIDTH_250px, FIXED_WIDTH_675px, ZOOM_50_PERCENT, ZOOM_75_PERCENT, ZOOM_100_PERCENT, ZOOM_125_PERCENT, ZOOM_150_PERCENT, ZOOM_200_PERCENT}. Default sizes returned are {FIXED_WIDTH_50px, FIXED_WIDTH_250px, FIXED_WIDTH_675px, ZOOM_100_PERCENT}."
},
"includeSupportingDocumentsImageUrls": {
"type": "boolean",
"description": "When set to true, returns image urls of supporting documents as well. Else, returns image urls of only the original documents."
},
"showImageAvailabilityOnly": {
"type": "boolean",
"description": "When set to true, returns only image availability. Else, returns both image urls and its availability."
}
},
"required": [
"PCID",
"agreementId"
]
}
adobe-sign-api_get_all_members
Retrieves information of members of the agreement. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
includeNextParticipantSet | boolean | No | — | A query parameter to fetch next active participation members |
agreementId | string | Yes | — | The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"includeNextParticipantSet": {
"type": "boolean",
"description": "A query parameter to fetch next active participation members"
},
"agreementId": {
"type": "string",
"description": "The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements."
}
},
"required": [
"PCID",
"agreementId"
]
}
adobe-sign-api_get_audit_trail
Retrieves the audit trail of an agreement identified by agreementId. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
agreementId | string | Yes | — | The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"agreementId": {
"type": "string",
"description": "The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements."
}
},
"required": [
"PCID",
"agreementId"
]
}
adobe-sign-api_get_combined_document_pages_info
Retrieves info of all pages of a combined PDF document for the documents associated with an agreement. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
agreementId | string | Yes | — | The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements. |
includeSupportingDocumentsPagesInfo | boolean | No | — | When set to true, returns info of all pages of supporting documents as well. Else, return the info of pages of only the original document. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"agreementId": {
"type": "string",
"description": "The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements."
},
"includeSupportingDocumentsPagesInfo": {
"type": "boolean",
"description": "When set to true, returns info of all pages of supporting documents as well. Else, return the info of pages of only the original document."
}
},
"required": [
"PCID",
"agreementId"
]
}
adobe-sign-api_get_document
Retrieves the file stream of a document of an agreement. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
agreementId | string | Yes | — | The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements. |
documentId | string | Yes | — | The document identifier, as retrieved from the API which fetches the documents of a specified agreement |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"agreementId": {
"type": "string",
"description": "The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements."
},
"documentId": {
"type": "string",
"description": "The document identifier, as retrieved from the API which fetches the documents of a specified agreement"
}
},
"required": [
"PCID",
"agreementId",
"documentId"
]
}
adobe-sign-api_get_document_image_urls
Retrieves image urls of all visible pages of a document associated with an agreement. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
agreementId | string | Yes | — | The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements. |
documentId | string | Yes | — | The document identifier, as retrieved from the API which fetches the documents of a specified agreement |
imageSizes | string | No | — | A comma separated list of image sizes i.e. {FIXED_WIDTH_50px, FIXED_WIDTH_250px, FIXED_WIDTH_675px, ZOOM_50_PERCENT, ZOOM_75_PERCENT, ZOOM_100_PERCENT, ZOOM_125_PERCENT, ZOOM_150_PERCENT, ZOOM_200_PERCENT}. Default sizes returned are {FIXED_WIDTH_50px, FIXED_WIDTH_250px, FIXED_WIDTH_675px, ZOOM_100_PERCENT}. |
showImageAvailabilityOnly | boolean | No | — | When set to true, returns only image availability. Else, returns both image urls and its availability. |
startPage | integer | No | — | Start of page number range for which imageUrls are requested. Starting page number should be greater than 0. |
endPage | integer | No | — | End of page number range for which imageUrls are requested. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"agreementId": {
"type": "string",
"description": "The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements."
},
"documentId": {
"type": "string",
"description": "The document identifier, as retrieved from the API which fetches the documents of a specified agreement"
},
"imageSizes": {
"type": "string",
"description": "A comma separated list of image sizes i.e. {FIXED_WIDTH_50px, FIXED_WIDTH_250px, FIXED_WIDTH_675px, ZOOM_50_PERCENT, ZOOM_75_PERCENT, ZOOM_100_PERCENT, ZOOM_125_PERCENT, ZOOM_150_PERCENT, ZOOM_200_PERCENT}. Default sizes returned are {FIXED_WIDTH_50px, FIXED_WIDTH_250px, FIXED_WIDTH_675px, ZOOM_100_PERCENT}."
},
"showImageAvailabilityOnly": {
"type": "boolean",
"description": "When set to true, returns only image availability. Else, returns both image urls and its availability."
},
"startPage": {
"type": "integer",
"description": "Start of page number range for which imageUrls are requested. Starting page number should be greater than 0."
},
"endPage": {
"type": "integer",
"description": "End of page number range for which imageUrls are requested."
}
},
"required": [
"PCID",
"agreementId",
"documentId"
]
}
adobe-sign-api_get_documents
Retrieves the IDs of the documents associated with library document. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
libraryDocumentId | string | Yes | — | The document identifier, as retrieved from the API to fetch library documents. |
versionId | string | No | — | The version identifier of library_document as provided by the API which retrieves information of a specific library document. If not provided then latest version will be used. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"libraryDocumentId": {
"type": "string",
"description": "The document identifier, as retrieved from the API to fetch library documents."
},
"versionId": {
"type": "string",
"description": "The version identifier of library_document as provided by the API which retrieves information of a specific library document. If not provided then latest version will be used."
}
},
"required": [
"PCID",
"libraryDocumentId"
]
}
adobe-sign-api_get_events
Retrieves the events information for an agreement. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
agreementId | string | Yes | — | The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"agreementId": {
"type": "string",
"description": "The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements."
}
},
"required": [
"PCID",
"agreementId"
]
}
adobe-sign-api_get_events_2
Retrieves the events information for a library document. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
libraryDocumentId | string | Yes | — | The document identifier, as retrieved from the API to fetch library documents. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"libraryDocumentId": {
"type": "string",
"description": "The document identifier, as retrieved from the API to fetch library documents."
}
},
"required": [
"PCID",
"libraryDocumentId"
]
}
adobe-sign-api_get_form_data
Retrieves data entered into the interactive form fields of the agreement. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
agreementId | string | Yes | — | The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"agreementId": {
"type": "string",
"description": "The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements."
}
},
"required": [
"PCID",
"agreementId"
]
}
adobe-sign-api_get_form_fields
Retrieves details of form fields of an agreement. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
participantEmail | string | No | — | The email address of the participant to be used to retrieve its associated form fields. |
agreementId | string | Yes | — | The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"participantEmail": {
"type": "string",
"description": "The email address of the participant to be used to retrieve its associated form fields."
},
"agreementId": {
"type": "string",
"description": "The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements."
}
},
"required": [
"PCID",
"agreementId"
]
}
adobe-sign-api_get_group_details
Retrieves detailed information about the group. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
groupId | string | Yes | — | The group identifier, as returned by the group creation API or retrieved from the API to fetch groups |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"groupId": {
"type": "string",
"description": "The group identifier, as returned by the group creation API or retrieved from the API to fetch groups"
}
},
"required": [
"PCID",
"groupId"
]
}
adobe-sign-api_get_groups
Retrieves all the groups in an account. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | Used to navigate through the pages. If not provided, returns the first page. |
pageSize | integer | No | — | Number of intended items in the response page. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"cursor": {
"type": "string",
"description": "Used to navigate through the pages. If not provided, returns the first page."
},
"pageSize": {
"type": "integer",
"description": "Number of intended items in the response page."
}
},
"required": [
"PCID"
]
}
adobe-sign-api_get_groups_of_user
Retrieves the groups of the user. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
userId | string | Yes | — | The user identifier, as returned by the user creation API or retrieved from the API to fetch users. To get the details for the token owner, UserId can be replaced by “me” without quotes. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"userId": {
"type": "string",
"description": "The user identifier, as returned by the user creation API or retrieved from the API to fetch users. To get the details for the token owner, UserId can be replaced by \"me\" without quotes."
}
},
"required": [
"PCID",
"userId"
]
}
adobe-sign-api_get_library_document
Retrieves the file stream of a document of library document. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
libraryDocumentId | string | Yes | — | The document identifier, as retrieved from the API to fetch library documents. |
documentId | string | Yes | — | The document identifier, as retrieved from the API which fetches the documents of a specified library document |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"libraryDocumentId": {
"type": "string",
"description": "The document identifier, as retrieved from the API to fetch library documents."
},
"documentId": {
"type": "string",
"description": "The document identifier, as retrieved from the API which fetches the documents of a specified library document"
}
},
"required": [
"PCID",
"libraryDocumentId",
"documentId"
]
}
adobe-sign-api_get_library_document_audit_trail
Retrieves the audit trail associated with a library document. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
libraryDocumentId | string | Yes | — | The document identifier, as retrieved from the API to fetch library documents. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"libraryDocumentId": {
"type": "string",
"description": "The document identifier, as retrieved from the API to fetch library documents."
}
},
"required": [
"PCID",
"libraryDocumentId"
]
}
adobe-sign-api_get_library_document_image_urls
Retrieves image urls of all visible pages of a document associated with a library document. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
libraryDocumentId | string | Yes | — | The document identifier, as retrieved from the API to fetch library documents. |
documentId | string | Yes | — | The document identifier, as retrieved from the API which fetches the documents of a specified library document |
imageSizes | string | No | — | A comma separated list of image sizes i.e. {FIXED_WIDTH_50px, FIXED_WIDTH_250px, FIXED_WIDTH_675px, ZOOM_50_PERCENT, ZOOM_75_PERCENT, ZOOM_100_PERCENT, ZOOM_125_PERCENT, ZOOM_150_PERCENT, ZOOM_200_PERCENT}. Default sizes returned are {FIXED_WIDTH_50px, FIXED_WIDTH_250px, FIXED_WIDTH_675px, ZOOM_100_PERCENT}. |
startPage | integer | No | — | Start of page number range for which imageUrls are requested. Starting page number should be greater than 0. |
endPage | integer | No | — | End of page number range for which imageUrls are requested. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"libraryDocumentId": {
"type": "string",
"description": "The document identifier, as retrieved from the API to fetch library documents."
},
"documentId": {
"type": "string",
"description": "The document identifier, as retrieved from the API which fetches the documents of a specified library document"
},
"imageSizes": {
"type": "string",
"description": "A comma separated list of image sizes i.e. {FIXED_WIDTH_50px, FIXED_WIDTH_250px, FIXED_WIDTH_675px, ZOOM_50_PERCENT, ZOOM_75_PERCENT, ZOOM_100_PERCENT, ZOOM_125_PERCENT, ZOOM_150_PERCENT, ZOOM_200_PERCENT}. Default sizes returned are {FIXED_WIDTH_50px, FIXED_WIDTH_250px, FIXED_WIDTH_675px, ZOOM_100_PERCENT}."
},
"startPage": {
"type": "integer",
"description": "Start of page number range for which imageUrls are requested. Starting page number should be greater than 0."
},
"endPage": {
"type": "integer",
"description": "End of page number range for which imageUrls are requested."
}
},
"required": [
"PCID",
"libraryDocumentId",
"documentId"
]
}
adobe-sign-api_get_library_document_info
Retrieves the details of a library document. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
libraryDocumentId | string | Yes | — | The document identifier, as retrieved from the API to fetch library documents. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"libraryDocumentId": {
"type": "string",
"description": "The document identifier, as retrieved from the API to fetch library documents."
}
},
"required": [
"PCID",
"libraryDocumentId"
]
}
adobe-sign-api_get_library_document_note_for_api_user
Retrieves the latest note of a library document for the API user. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
libraryDocumentId | string | Yes | — | The document identifier, as retrieved from the API to fetch library documents. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"libraryDocumentId": {
"type": "string",
"description": "The document identifier, as retrieved from the API to fetch library documents."
}
},
"required": [
"PCID",
"libraryDocumentId"
]
}
adobe-sign-api_get_library_documents
Retrieves library documents for a user. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
showHiddenLibraryDocuments | boolean | No | — | A query parameter to fetch all the hidden library documents along with the visible library documents. |
cursor | string | No | — | Used to navigate through the pages. If not provided, returns the first page. |
pageSize | integer | No | — | Number of intended items in the response page. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"showHiddenLibraryDocuments": {
"type": "boolean",
"description": "A query parameter to fetch all the hidden library documents along with the visible library documents."
},
"cursor": {
"type": "string",
"description": "Used to navigate through the pages. If not provided, returns the first page."
},
"pageSize": {
"type": "integer",
"description": "Number of intended items in the response page."
}
},
"required": [
"PCID"
]
}
adobe-sign-api_get_merge_info
Retrieves the merge info stored with an agreement. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
agreementId | string | Yes | — | The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"agreementId": {
"type": "string",
"description": "The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements."
}
},
"required": [
"PCID",
"agreementId"
]
}
adobe-sign-api_get_participant_set
Retrieves the participant set of an agreement identified by agreementId in the path. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
agreementId | string | Yes | — | The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements. |
participantSetId | string | Yes | — | The participant set identifier |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"agreementId": {
"type": "string",
"description": "The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements."
},
"participantSetId": {
"type": "string",
"description": "The participant set identifier"
}
},
"required": [
"PCID",
"agreementId",
"participantSetId"
]
}
adobe-sign-api_get_signing_url
Retrieves the URL for the e-sign page for the current signer(s) of an agreement. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
agreementId | string | Yes | — | The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"agreementId": {
"type": "string",
"description": "The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements."
}
},
"required": [
"PCID",
"agreementId"
]
}
adobe-sign-api_get_user_detail
Retrieves detailed information about the user in the caller account. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
userId | string | Yes | — | The user identifier, as returned by the user creation API or retrieved from the API to fetch users. To get the details for the token owner, UserId can be replaced by “me” without quotes. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"userId": {
"type": "string",
"description": "The user identifier, as returned by the user creation API or retrieved from the API to fetch users. To get the details for the token owner, UserId can be replaced by \"me\" without quotes."
}
},
"required": [
"PCID",
"userId"
]
}
adobe-sign-api_get_user_views
Retrieves the URL of manage, account settings and user profile page. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
userId | string | Yes | — | The user identifier, as returned by the user creation API or retrieved from the API to fetch users. To get the details for the token owner, UserId can be replaced by “me” without quotes. |
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"userId": {
"type": "string",
"description": "The user identifier, as returned by the user creation API or retrieved from the API to fetch users. To get the details for the token owner, UserId can be replaced by \"me\" without quotes."
},
"body": {
"type": "object",
"description": "Request body"
}
},
"required": [
"PCID",
"userId",
"body"
]
}
adobe-sign-api_get_users
Retrieves all the users in an account. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | Used to navigate through the pages. If not provided, returns the first page. |
pageSize | integer | No | — | Number of intended items in the response page. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"cursor": {
"type": "string",
"description": "Used to navigate through the pages. If not provided, returns the first page."
},
"pageSize": {
"type": "integer",
"description": "Number of intended items in the response page."
}
},
"required": [
"PCID"
]
}
adobe-sign-api_get_users_in_group
Retrieves all the users in a group. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | Used to navigate through the pages. If not provided, returns the first page. |
pageSize | integer | No | — | Number of intended items in the response page. |
groupId | string | Yes | — | The group identifier, as returned by the group creation API or retrieved from the API to fetch groups |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"cursor": {
"type": "string",
"description": "Used to navigate through the pages. If not provided, returns the first page."
},
"pageSize": {
"type": "integer",
"description": "Number of intended items in the response page."
},
"groupId": {
"type": "string",
"description": "The group identifier, as returned by the group creation API or retrieved from the API to fetch groups"
}
},
"required": [
"PCID",
"groupId"
]
}
adobe-sign-api_get_webhook_info
Retrieves the details of a webhook. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
webhookId | string | Yes | — | The webhook identifier, as returned by the webhook creation API or retrieved from the API to fetch webhooks. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"webhookId": {
"type": "string",
"description": "The webhook identifier, as returned by the webhook creation API or retrieved from the API to fetch webhooks."
}
},
"required": [
"PCID",
"webhookId"
]
}
adobe-sign-api_get_webhooks
Retrieves webhooks for a user. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
showInActiveWebhooks | boolean | No | — | A query parameter to fetch all the inactive webhooks along with the active webhooks. |
scope | string | No | — | Scope of webhook. The possible values are ACCOUNT, GROUP, USER or RESOURCE |
resourceType | string | No | — | The type of resource on which webhook was created. The possible values are AGREEMENT, WIDGET and MEGASIGN. |
cursor | string | No | — | Used to navigate through the pages. If not provided, returns the first page. |
pageSize | integer | No | — | Number of intended items in the response page. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"showInActiveWebhooks": {
"type": "boolean",
"description": "A query parameter to fetch all the inactive webhooks along with the active webhooks."
},
"scope": {
"type": "string",
"description": "Scope of webhook. The possible values are ACCOUNT, GROUP, USER or RESOURCE"
},
"resourceType": {
"type": "string",
"description": "The type of resource on which webhook was created. The possible values are AGREEMENT, WIDGET and MEGASIGN."
},
"cursor": {
"type": "string",
"description": "Used to navigate through the pages. If not provided, returns the first page."
},
"pageSize": {
"type": "integer",
"description": "Number of intended items in the response page."
}
},
"required": [
"PCID"
]
}
adobe-sign-api_modify_user
Update an user. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
userId | string | Yes | — | The user identifier, as provided by GET /users or POST /users |
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"userId": {
"type": "string",
"description": "The user identifier, as provided by GET /users or POST /users"
},
"body": {
"type": "object",
"description": "Request body"
}
},
"required": [
"PCID",
"userId",
"body"
]
}
adobe-sign-api_modify_user_state
Activate/Deactivate a given user. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
userId | string | Yes | — | The user identifier, as returned by the user creation API or retrieved from the API to fetch users. To update the details for the token owner, UserId can be replaced by “me” without quotes. |
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"userId": {
"type": "string",
"description": "The user identifier, as returned by the user creation API or retrieved from the API to fetch users. To update the details for the token owner, UserId can be replaced by \"me\" without quotes."
},
"body": {
"type": "object",
"description": "Request body"
}
},
"required": [
"PCID",
"userId",
"body"
]
}
adobe-sign-api_reject_agreement_for_participation
Rejects the agreement for a participant. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
agreementId | string | Yes | — | The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements. |
participantSetId | string | Yes | — | The participant set identifier |
participantId | string | Yes | — | The participant identifier |
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"agreementId": {
"type": "string",
"description": "The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements."
},
"participantSetId": {
"type": "string",
"description": "The participant set identifier"
},
"participantId": {
"type": "string",
"description": "The participant identifier"
},
"body": {
"type": "object",
"description": "Request body"
}
},
"required": [
"PCID",
"agreementId",
"participantSetId",
"participantId",
"body"
]
}
adobe-sign-api_update_agreement
Updates the agreement in draft state. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
agreementId | string | Yes | — | The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements. |
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"agreementId": {
"type": "string",
"description": "The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements."
},
"body": {
"type": "object",
"description": "Request body"
}
},
"required": [
"PCID",
"agreementId",
"body"
]
}
adobe-sign-api_update_agreement_merge_info
Set the merge info for an agreement. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
agreementId | string | Yes | — | The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements. |
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"agreementId": {
"type": "string",
"description": "The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements."
},
"body": {
"type": "object",
"description": "Request body"
}
},
"required": [
"PCID",
"agreementId",
"body"
]
}
adobe-sign-api_update_agreement_state
Updates the state of an agreement identified by agreementId in the path. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
agreementId | string | Yes | — | The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements. |
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"agreementId": {
"type": "string",
"description": "The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements."
},
"body": {
"type": "object",
"description": "Request body"
}
},
"required": [
"PCID",
"agreementId",
"body"
]
}
adobe-sign-api_update_agreement_visibility
Updates the visibility of an agreement. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
agreementId | string | Yes | — | The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements. |
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"agreementId": {
"type": "string",
"description": "The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements."
},
"body": {
"type": "object",
"description": "Request body"
}
},
"required": [
"PCID",
"agreementId",
"body"
]
}
adobe-sign-api_update_form_fields
Updates form fields of an agreement. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
agreementId | string | Yes | — | The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements. |
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"agreementId": {
"type": "string",
"description": "The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements."
},
"body": {
"type": "object",
"description": "Request body"
}
},
"required": [
"PCID",
"agreementId",
"body"
]
}
adobe-sign-api_update_groups_of_user
Updates the groups of the user. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
userId | string | Yes | — | The user identifier, as returned by the user creation API or retrieved from the API to fetch users. To update the details for the token owner, UserId can be replaced by “me” without quotes. |
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"userId": {
"type": "string",
"description": "The user identifier, as returned by the user creation API or retrieved from the API to fetch users. To update the details for the token owner, UserId can be replaced by \"me\" without quotes."
},
"body": {
"type": "object",
"description": "Request body"
}
},
"required": [
"PCID",
"userId",
"body"
]
}
adobe-sign-api_update_library_document
Updates the library document. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
libraryDocumentId | string | Yes | — | The document identifier, as retrieved from the API to fetch library documents. |
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"libraryDocumentId": {
"type": "string",
"description": "The document identifier, as retrieved from the API to fetch library documents."
},
"body": {
"type": "object",
"description": "Request body"
}
},
"required": [
"PCID",
"libraryDocumentId",
"body"
]
}
adobe-sign-api_update_library_document_state
Updates the library document’s state. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
libraryDocumentId | string | Yes | — | The document identifier, as retrieved from the API to fetch library documents. |
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"libraryDocumentId": {
"type": "string",
"description": "The document identifier, as retrieved from the API to fetch library documents."
},
"body": {
"type": "object",
"description": "Request body"
}
},
"required": [
"PCID",
"libraryDocumentId",
"body"
]
}
adobe-sign-api_update_library_document_visibility
Updates the visibility of library document. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
libraryDocumentId | string | Yes | — | The document identifier, as retrieved from the API to fetch library documents. |
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"libraryDocumentId": {
"type": "string",
"description": "The document identifier, as retrieved from the API to fetch library documents."
},
"body": {
"type": "object",
"description": "Request body"
}
},
"required": [
"PCID",
"libraryDocumentId",
"body"
]
}
adobe-sign-api_update_participant_set
Updates the participant set of an agreement identified by agreementId in the path. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
agreementId | string | Yes | — | The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements. |
participantSetId | string | Yes | — | The participant set identifier |
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"agreementId": {
"type": "string",
"description": "The agreement identifier, as returned by the agreement creation API or retrieved from the API to fetch agreements."
},
"participantSetId": {
"type": "string",
"description": "The participant set identifier"
},
"body": {
"type": "object",
"description": "Request body"
}
},
"required": [
"PCID",
"agreementId",
"participantSetId",
"body"
]
}
adobe-sign-api_update_webhook
Updates a webhook. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
webhookId | string | Yes | — | The webhook identifier, as returned by the webhook creation API or retrieved from the API to fetch webhooks. |
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"webhookId": {
"type": "string",
"description": "The webhook identifier, as returned by the webhook creation API or retrieved from the API to fetch webhooks."
},
"body": {
"type": "object",
"description": "Request body"
}
},
"required": [
"PCID",
"webhookId",
"body"
]
}
adobe-sign-api_update_webhook_state
Updates the state of a webhook identified by webhookId in the path. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
webhookId | string | Yes | — | The webhook identifier, as returned by the webhook creation API or retrieved from the API to fetch webhooks. |
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"webhookId": {
"type": "string",
"description": "The webhook identifier, as returned by the webhook creation API or retrieved from the API to fetch webhooks."
},
"body": {
"type": "object",
"description": "Request body"
}
},
"required": [
"PCID",
"webhookId",
"body"
]
}

